commit e6cc57d30e41f8cf85408c9edcb0678a1e28d212
Author: Sérgio M. Basto <sergio(a)serjux.com>
Date: Fri Jun 19 20:36:04 2020 +0100
Update smtube to 20.6.0
.gitignore | 1 +
smtube-18.11.0-system-qtsingleapplication.patch | 11 +++---
smtube.spec | 5 ++-
sources | 2 +-
update_smtube.sh | 47 +++++++++++++++++++++++++
5 files changed, 58 insertions(+), 8 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index 6f0dcb9..d0cee6e 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,2 +1,3 @@
/smtube-19.6.0.tar.bz2
/smtube-20.1.0.tar.bz2
+/smtube-20.6.0.tar.bz2
diff --git a/smtube-18.11.0-system-qtsingleapplication.patch
b/smtube-18.11.0-system-qtsingleapplication.patch
index 1dda857..7032b3a 100644
--- a/smtube-18.11.0-system-qtsingleapplication.patch
+++ b/smtube-18.11.0-system-qtsingleapplication.patch
@@ -1,7 +1,6 @@
---- ./src/smtube.pro.orig 2018-10-21 21:26:43.000000000 +0100
-+++ ./src/smtube.pro 2019-01-28 23:30:30.552083907 +0000
-@@ -1,6 +1,7 @@
-
+--- ./src/smtube.pro.orig 2020-06-19 12:02:59.047658202 +0100
++++ ./src/smtube.pro 2020-06-19 12:04:57.370202021 +0100
+@@ -1,5 +1,6 @@
TEMPLATE = app
QT += network
+INCLUDEPATH += qtsingleapplication
@@ -9,9 +8,9 @@
CONFIG += release
#CONFIG += debug
@@ -9,6 +10,7 @@ DEFINES += USE_PLAYERS
- DEFINES += YT_USE_SIG
- #DEFINES += D_BUTTON
DEFINES += STYLE_SWITCHING
+ DEFINES += CODEDOWNLOADER
+ DEFINES += USE_SITES
+DEFINES += USE_SINGLE_APPLICATION
# If Qt >= 5.4
diff --git a/smtube.spec b/smtube.spec
index 12c46fa..4e8addd 100644
--- a/smtube.spec
+++ b/smtube.spec
@@ -1,5 +1,5 @@
Name: smtube
-Version: 20.1.0
+Version: 20.6.0
Release: 1%{?dist}
Summary: YouTube browser for SMPlayer
@@ -90,6 +90,9 @@ fi
%{_docdir}/%{name}/
%changelog
+* Fri Jun 19 2020 Sérgio Basto <sergio(a)serjux.com> - 20.6.0-1
+- Update smtube to 20.6.0
+
* Sun Jan 26 2020 Sérgio Basto <sergio(a)serjux.com> - 20.1.0-1
- Update smtube to 20.1.0
diff --git a/sources b/sources
index 0b2660d..e61b8d5 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-SHA512 (smtube-20.1.0.tar.bz2) =
91a3b53c7bf23b567cc9e35f6c12cfc37e4286c0b60938d4ea9e275f1f459db6ff149f3b316b05a4810a62b0f224ee360ecf10f1e5c1d101178a949280eb8e2f
+SHA512 (smtube-20.6.0.tar.bz2) =
abbd868d88e9d3e87fe556f088007378fd11844b91e08fe301d548e0e80acc07b005860b571baa44236ccfa808bf61a7bb7090b8508fe3dae8159364496b34c0
diff --git a/update_smtube.sh b/update_smtube.sh
new file mode 100755
index 0000000..c43ef3f
--- /dev/null
+++ b/update_smtube.sh
@@ -0,0 +1,47 @@
+version=20.6.0
+REPOS="f32 f31 el8 el7"
+
+if [ -z "$1" ]
+then
+ stage=0
+else
+ stage=$1
+fi
+
+if test $stage -le 0
+then
+echo STAGE 0
+git checkout master && git pull || exit 2
+
+if [[ -z $2 ]]; then
+MSG="Update smtube to $version"
+else
+MSG=$2
+fi
+if [[ -z $3 ]]; then
+rpmdev-bumpspec -n $version -c "$MSG" smtube.spec
+else
+rpmdev-bumpspec -c "$MSG" smtube.spec
+fi
+
+spectool -g smtube.spec
+rfpkg scratch-build --srpm --nowait
+fi
+if test $stage -le 1
+then
+echo STAGE 1
+echo Press enter to upload sources and commit; read dummy;
+rfpkg new-sources ./smtube-$version.tar.bz2
+rfpkg ci -c && git show
+echo Press enter to push and build in rawhide; read dummy;
+rfpkg push && rfpkg build --nowait
+fi
+
+if test $stage -le 2
+then
+for repo in $REPOS ; do
+echo Press enter to build on branch $repo; read dummy;
+git checkout $repo && git merge master && git push && rfpkg build
--nowait; git checkout master
+done
+fi
+